<?php

namespace Modules\Statistic;

use Catch\Support\Module\Installer as ModuleInstaller;
use Modules\Statistic\Providers\StatisticServiceProvider;

class Installer extends ModuleInstaller
{
    protected function info(): array
    {
        // TODO: Implement info() method.
        return [
            'title' => '统计管理',
            'name' => 'statistic',
            'path' => 'statistic',
            'keywords' => '统计管理',
            'description' => '统计管理模块',
            'provider' => StatisticServiceProvider::class
        ];
    }

    protected function requirePackages(): void
    {
        // TODO: Implement requirePackages() method.
    }

    protected function removePackages(): void
    {
        // TODO: Implement removePackages() method.
    }
}
